gexbot api
state

gex profile max change

Shows the strikes with the most significant change in GEX imbalance over various lookback periods. Also known as "max priors" for the GEX Profile.

GET/{TICKER}/state/{AGGREGATION_PERIOD}/maxchangeState Tier

chart

Powers the gex profile chart.

Shows the strikes with the most significant change in GEX imbalance over various lookback periods. Also known as "max priors" for the GEX Profile.

Subscription

Requires a State subscription or higher.

Request

Example: /SPX/state/full/maxchange

Headers

NameTypeDescription
AuthorizationstringRequired. Format: "Bearer <YOUR_API_KEY>"
User-AgentstringRequired. Identify your client application.
AcceptstringRequired. Set to "application/json".

Path parameters

NameTypeDescription
TICKERstringDesired ticker symbol (e.g., SPX).
AGGREGATION_PERIODstringAggregation period: full, zero, or one.

Response

FieldTypeDescription
timestampnumberThe Unix timestamp of when the data was generated.
tickerstringThe ticker symbol for the requested asset.
currentarrayThe strike and GEX imbalance value with the largest change in the last calculation cycle.
onearrayThe strike and GEX imbalance value with the largest change in the last 1 minute.
fivearrayThe strike and GEX imbalance value with the largest change in the last 5 minutes.
tenarrayThe strike and GEX imbalance value with the largest change in the last 10 minutes.
fifteenarrayThe strike and GEX imbalance value with the largest change in the last 15 minutes.
thirtyarrayThe strike and GEX imbalance value with the largest change in the last 30 minutes.
{
  "timestamp": 1753283592,
  "ticker": "SPX",
  "current": [
    6340,
    -32.156
  ],
  "one": [
    6335,
    85.319
  ],
  "five": [
    6330,
    -236.029
  ],
  "ten": [
    6325,
    409.361
  ],
  "fifteen": [
    6340,
    -795.71
  ],
  "thirty": [
    6340,
    -337.716
  ]
}
{
  "type": "object",
  "properties": {
    "timestamp": {
      "type": "integer",
      "format": "int64"
    },
    "ticker": {
      "type": "string",
      "minLength": 2,
      "maxLength": 5
    },
    "current": {
      "type": "array",
      "items": {
        "type": "number"
      }
    },
    "one": {
      "type": "array",
      "items": {
        "type": "number"
      }
    },
    "five": {
      "type": "array",
      "items": {
        "type": "number"
      }
    },
    "ten": {
      "type": "array",
      "items": {
        "type": "number"
      }
    },
    "fifteen": {
      "type": "array",
      "items": {
        "type": "number"
      }
    },
    "thirty": {
      "type": "array",
      "items": {
        "type": "number"
      }
    }
  },
  "additionalProperties": false
}
type: object
properties:
  timestamp:
    type: integer
    format: int64
  ticker:
    type: string
    minLength: 2
    maxLength: 5
  current:
    type: array
    items:
      type: number
  one:
    type: array
    items:
      type: number
  five:
    type: array
    items:
      type: number
  ten:
    type: array
    items:
      type: number
  fifteen:
    type: array
    items:
      type: number
  thirty:
    type: array
    items:
      type: number
additionalProperties: false

On this page